Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::DenseGenSchurDriver Class Reference

`#include <SensDenseGenSchurDriver.hpp>`

Inheritance diagram for Ipopt::DenseGenSchurDriver:
[legend]

## Public Member Functions
| DenseGenSchurDriver (SmartPtr< SensBacksolver > backsolver, SmartPtr< PCalculator > pcalc, SmartPtr< SchurData > data_B)
virtual | ~DenseGenSchurDriver ()
virtual bool | SchurBuild ()
| Creates the SchurMatrix from B and P. More...
virtual bool | SchurFactorize ()
| Calls the factorization routine for the SchurMatrix. More...
virtual bool | SchurSolve (SmartPtr< IteratesVector > x, SmartPtr< const IteratesVector > f, SmartPtr< Vector > g, SmartPtr< IteratesVector > Kf=NULL)
| Performs a backsolve on S and : Solves the system. More...
Public Member Functions inherited from Ipopt::SchurDriver
| SchurDriver (SmartPtr< PCalculator > pcalc, SmartPtr< SchurData > data_B)
| This class is the interface for any class that deals with the Schur matrix from the point when it is constructed by the PCalculator to the solution against one vector. More...
virtual | ~SchurDriver ()
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Overloaded from AlgorithmStrategyObject. More...
virtual SmartPtr< const SchurData > | data_A () const
| Const accessor methods to the SchurData for for the derived classes. More...
virtual SmartPtr< const SchurData > | data_B () const
virtual SmartPtr< SchurData > | data_A_nonconst ()
virtual SmartPtr< SchurData > | data_B_nonconst ()
virtual SmartPtr< const PCalculator > | pcalc () const
virtual SmartPtr< PCalculator > | pcalc_nonconst ()
Public Member Functions inherited from Ipopt::AlgorithmStrategyObject
bool | Initialize (const Journalist &jnlst, IpoptNLP &ip_nlp, IpoptData &ip_data, IpoptCalculatedQuantities &ip_cq, const OptionsList &options, const std::string &prefix)
| This method is called every time the algorithm starts again - it is used to reset any internal state. More...
bool | ReducedInitialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Reduced version of the Initialize method, which does not require special Ipopt information. More...
| AlgorithmStrategyObject ()
| Default Constructor. More...
virtual | ~AlgorithmStrategyObject ()
| Default Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Attributes
SmartPtr< SchurData > | ift_data_
    DEPRECATED Performs a backsolve on S and K
virtual bool SchurSolve(SmartPtr<IteratesVector> lhs, SmartPtr<const IteratesVector> rhs, SmartPtr<Vector> delta_u); More...
SmartPtr< SensBacksolver > | backsolver_
SmartPtr< DenseGenMatrix > | S_

## Additional Inherited Members
Protected Member Functions inherited from Ipopt::AlgorithmStrategyObject
const Journalist & | Jnlst () const
IpoptNLP & | IpNLP () const
IpoptData & | IpData () const
IpoptCalculatedQuantities & | IpCq () const
bool | HaveIpData () const

## Detailed Description

Definition at line 17 of file SensDenseGenSchurDriver.hpp.

## Constructor & Destructor Documentation

Ipopt::DenseGenSchurDriver::DenseGenSchurDriver | ( | SmartPtr< SensBacksolver > | backsolver,
|  | SmartPtr< PCalculator > | pcalc,
|  | SmartPtr< SchurData > | data_B
| ) |  |

virtual Ipopt::DenseGenSchurDriver::~DenseGenSchurDriver | ( |  | ) |
| virtual

## Member Function Documentation

virtual bool Ipopt::DenseGenSchurDriver::SchurBuild | ( |  | ) |
| virtual

Creates the SchurMatrix from B and P.

Implements Ipopt::SchurDriver.

virtual bool Ipopt::DenseGenSchurDriver::SchurFactorize | ( |  | ) |
| virtual

Calls the factorization routine for the SchurMatrix.

Implements Ipopt::SchurDriver.

virtual bool Ipopt::DenseGenSchurDriver::SchurSolve | ( | SmartPtr< IteratesVector > | x,
|  | SmartPtr< const IteratesVector > | f,
|  | SmartPtr< Vector > | g,
|  | SmartPtr< IteratesVector > | Kf = `NULL`
| ) |  |
| virtual

Performs a backsolve on S and : Solves the system.

y will be stored in g at exit. Kf should hold

if it has been computed previously. If it is not available, just pass in Kf=NULL and it will be computed internally.

Implements Ipopt::SchurDriver.

## Member Data Documentation

SmartPtr<SchurData> Ipopt::DenseGenSchurDriver::ift_data_
| private

    DEPRECATED Performs a backsolve on S and K

virtual bool SchurSolve(SmartPtr<IteratesVector> lhs, SmartPtr<const IteratesVector> rhs, SmartPtr<Vector> delta_u);

Definition at line 63 of file SensDenseGenSchurDriver.hpp.

SmartPtr<SensBacksolver> Ipopt::DenseGenSchurDriver::backsolver_
| private

Definition at line 64 of file SensDenseGenSchurDriver.hpp.

SmartPtr<DenseGenMatrix> Ipopt::DenseGenSchurDriver::S_
| private

Definition at line 65 of file SensDenseGenSchurDriver.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensDenseGenSchurDriver.hpp